<?php
/*

  This is a very basic search results page in case JavaScript is not 
  available and we have a free search instead of picking from a dropdown.

*/

echo '<ul>';

// filter inputs - never forget!

$location_html = filter_input(INPUT_GET, 'location',      
                              FILTER_SANITIZE_SPECIAL_CHARS);

// loop through all locations and test if either the town the country or the 
// Address contains the search term. If so, print out a list item that points
// to the detail page.

$needle = '/'.$location_html.'/msi';
foreach($locations as $loc){
  if(preg_match($needle,$loc['town']) or
     preg_match($needle,$loc['country']) or
     preg_match($needle,$loc['Address'])){
    echo '<li><a href="index.php?showlocation='.$loc['Office'].
         '">'.$loc['town'].' - '.$loc['country'].'</a></li>';
    
  }
}
echo '</ul>';
?>