guitarLinks={
	guitarName:'overview',
	evtTarget: ' ',
	init:function(){
		guitarLinks.addListeners();
	},
	addListeners:function() {
			theLists = document.getElementsByTagName('ul'); // get all the unordered lists
			for (i=0; i < theLists.length; i++) {
			//alert (theLists[i].className.search("guitar_links")); //uncomment to see 0 for matches, -1 for non-matches
			if (theLists[i].className.search("guitar_links")!==-1) { // if ul has the required class name...
				addEvent(theLists[i], 'click', guitarLinks.linkClicked); // then delegate link click detection to UL
			}
		}
	},
	linkClicked:function(e) { //determines the target of the click and calls readFile and setTab functions
		var evt = e || window.event; // set up cross-browser event obj names
		guitarLinks.evtTarget = evt.target || evt.srcElement;
		//get the guitar name from the URL 
		theURL=(guitarLinks.evtTarget.getAttribute('href')); // get the entire URL e.g. guitar_catalog_ajax_html.php?request=tiger
		theQuery=theURL.split("=") // split it into two array elements using the = sign as delimiter
		guitarLinks.guitarName=(theQuery[1]); // get the second element e.g tiger
		guitarLinks.readFile(); // call the readFile function
		guitarLinks.setTab() // call the set tabs function
		cancelClick(e); // calls JS helper to cancel href click
	},
	setTab:function() { //sets the tab highlight
		var theTabBar=document.getElementById('tabs'); // gets the tab bar ul 
		var theItems=theTabBar.getElementsByTagName('li'); // get the li's
		var itemCount=theItems.length; //store the number of them
		for (i=0; i<itemCount; i++) { //loop through the li's
			theItems[i].className=""; //clear any class names off the tabs
		}
		guitarLinks.evtTarget.parentNode.className='choice'; // set the hilite on parent li of target
		guitarLinks.evtTarget.blur();
	},
	readFile:function () { // makes the call to the ajaxObj helper function
		// assembles file name using guitar name parameter
		ajaxRequest('html_frags/'+ guitarLinks.guitarName +'_desc_frag.html',guitarLinks.cbReadFile); // calls ajax helper file
	},
	cbReadFile:function (theData) { // callback function called by Ajax helper function
		var theDisplay = document.getElementById('guitar_display'); // get the display container div
		theDisplay.innerHTML = theData; // data is added to the display container
	}
}
window.onload=guitarLinks.init;