<?php
/*
  Nothing magical here, just print out the right data, grab a map from Yahoo
  and display it.
*/
?>

<h2><?php echo $current['Office'];?></h2>
<p><?php echo $current['Address'];?></p>
<p><?php echo $current['town'].', '.$current['country'];?></p>

<div id="map"></div>
<script src="http://yui.yahooapis.com/2.7.0/build/utilities/utilities.js"></script>
<script type="text/javascript" src="http://l.yimg.com/d/lib/map/js/api/ymapapi_3_8_2_3.js"></script>
<style type="text/css" media="screen">
  #map{
    width:450px;
    height:450px;
  }
  #map table,#map td{
    border:none;padding:0;
  }
</style>
<script type="text/javascript">
  var YMAPPID = 'UKjUlvvIkY5ZOCN0Z0Y9ThFW7luJ8EgWjxg-';
  // ^^ get your own ID to replace this at 
  // https://developer.yahoo.com/wsregapp/

  // get the element to turn into a map
  var map = new YMap(document.getElementById('map')); 

  // add zoom and pan controls
  map.addZoomLong();
  map.addPanControl();

  // get central point for map from PHP 
  var point = new YGeoPoint(
    <?php echo $current['lat'];?>,
    <?php echo $current['long'];?>
  );

  // set a marker at the point
  var newMarker = new YMarker(point);
  // show the name of the office when users hover over the marker
  //newMarker.addAutoExpand(<?php echo $current['office'];?>);
  // add marker to the map
  map.addOverlay(newMarker);
  // show the map
  map.drawZoomAndCenter(point,7);
</script>
